Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.xni.parser
Class XMLConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  weblogic.apache.xerces.xni.XNIException
                      weblogic.apache.xerces.xni.parser.XMLConfigurationException

All Implemented Interfaces:
  Serializable

Deprecated. please use JDK supplied XML parsers and transformers

    public class XMLConfigurationException

extends XNIException

An XNI parser configuration exception. This exception class extends `XNIException` in order to differentiate between general parsing errors and configuration errors.

See Also:
  Serialized Form

Field Summary
`protected String` | `fIdentifier` Deprecated. Identifier.
`protected short` | `fType` Deprecated. Exception type.
`static short` | `NOT_RECOGNIZED` Deprecated. Exception type: identifier not recognized.
`static short` | `NOT_SUPPORTED` Deprecated. Exception type: identifier not supported.

Constructor Summary
`XMLConfigurationException(short type, String identifier)` Deprecated. Constructs a configuration exception with the specified type and feature/property identifier.
`XMLConfigurationException(short type, String identifier, String message)` Deprecated. Constructs a configuration exception with the specified type, feature/property identifier, and error message

Method Summary
`String` | `getIdentifier()` Deprecated. Returns the feature or property identifier.
`short` | `getType()` Deprecated. Returns the exception type.

Methods inherited from class weblogic.apache.xerces.xni.XNIException
`getException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOT_RECOGNIZED

    public static final short NOT_RECOGNIZED

  Deprecated.
  Exception type: identifier not recognized.

  See Also:
    Constant Field Values

### NOT_SUPPORTED

    public static final short NOT_SUPPORTED

  Deprecated.
  Exception type: identifier not supported.

  See Also:
    Constant Field Values

### fType

    protected short fType

  Deprecated.
  Exception type.

### fIdentifier

    protected String fIdentifier

  Deprecated.
  Identifier.

Constructor Detail

### XMLConfigurationException

    public XMLConfigurationException(short type,
                                     String identifier)

  Deprecated.
  Constructs a configuration exception with the specified type and feature/property identifier.

  Parameters:
    `type` - The type of the exception.
    `identifier` - The feature or property identifier.
  See Also:
    `XMLConfigurationException.NOT_RECOGNIZED`, `XMLConfigurationException.NOT_SUPPORTED`

### XMLConfigurationException

    public XMLConfigurationException(short type,
                                     String identifier,
                                     String message)

  Deprecated.
  Constructs a configuration exception with the specified type, feature/property identifier, and error message

  Parameters:
    `type` - The type of the exception.
    `identifier` - The feature or property identifier.
    `message` - The error message.
  See Also:
    `XMLConfigurationException.NOT_RECOGNIZED`, `XMLConfigurationException.NOT_SUPPORTED`

Method Detail

### getType

    public short getType()

  Deprecated.
  Returns the exception type.

  See Also:
    `XMLConfigurationException.NOT_RECOGNIZED`, `XMLConfigurationException.NOT_SUPPORTED`

### getIdentifier

    public String getIdentifier()

  Deprecated.
  Returns the feature or property identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD